SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001034SiT!otherpublic2010-01-09 13:262011-06-03 22:46
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001034: Should use mb_substr rather than substr
DescriptionWhere we use substr we should use mb_sunstr (e.g. $text = mb_substr($text, 0, $maxlength, 'UTF-8');) as this is multi-byte character safe unlike normal php string functions
TagsNo tags attached.
Attached Files

- Relationships
parent of 0001215closedpaulh Bad symbol in incident table 
related to 0001264closedpaulh Bad symbols in holiday table 

-  Notes
User avatar (0003824)
ivan (administrator)
2011-06-03 22:46

We do now.

- Issue History
Date Modified Username Field Change
2010-01-09 13:26 paulh New Issue
2010-01-12 14:28 ivan Status new => confirmed
2010-04-02 11:31 paulh Relationship added parent of 0001215
2010-04-14 21:06 paulh Relationship added related to 0001264
2011-02-14 13:52 ivan Assigned To => ivan
2011-02-14 13:52 ivan Status confirmed => assigned
2011-02-14 13:52 ivan Target Version => 3.90beta1
2011-06-03 22:46 ivan Note Added: 0003824
2011-06-03 22:46 ivan Status assigned => resolved
2011-06-03 22:46 ivan Fixed in Version => Current GIT
2011-06-03 22:46 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker